- Cal3D 0.11 API Reference -

Static Public Member Functions | Protected Member Functions | List of all members
CalPlatform Class Reference

The platform class. More...

`#include <platform.h>`

## Static Public Member Functions

static bool | readBytes (std::istream &input, void *pBuffer, int length)
| Reads a number of bytes.
static bool | readFloat (std::istream &input, float &value)
| Reads a float.
static bool | readInteger (std::istream &input, int &value)
| Reads an integer.
static bool | readString (std::istream &input, std::string &strValue)
| Reads a string.
static bool | readBytes (char *input, void *pBuffer, int length)
| Reads a number of bytes.
static bool | readFloat (char *input, float &value)
| Reads a float.
static bool | readInteger (char *input, int &value)
| Reads an integer.
static bool | readString (char *input, std::string &strValue)
| Reads a string.
static bool | writeBytes (std::ostream &output, const void *pBuffer, int length)
| Writes a number of bytes.
static bool | writeFloat (std::ostream &output, float value)
| Writes a float.
static bool | writeInteger (std::ostream &output, int value)
| Writes an integer.
static bool | writeString (std::ostream &output, const std::string &strValue)
| Writes a string.

## Protected Member Functions

| CalPlatform ()
| Constructs the platform instance.
virtual | ~CalPlatform ()
| Destructs the platform instance.

## Detailed Description

The platform class.

## Constructor & Destructor Documentation

## ◆ CalPlatform()

CalPlatform::CalPlatform | ( |  | ) |

protected

Constructs the platform instance.

This function is the default constructor of the platform instance.

## ◆ ~CalPlatform()

CalPlatform::~CalPlatform | ( |  | ) |

protected virtual

Destructs the platform instance.

This function is the destructor of the platform instance.

## Member Function Documentation

## ◆ readBytes() [1/2]

bool CalPlatform::readBytes | ( | char * | input,
|  | void * | pBuffer,
|  | int | length )

static

Reads a number of bytes.

This function reads a given number of bytes from a memory buffer.

Parameters

  input | The buffer to read the bytes from.
  pBuffer | A pointer to the buffer where the bytes are stored into.
  length | The number of bytes that should be read.

Returns
  One of the following values:
  - true if successful
  - false if the input or destination buffer is NULL

## ◆ readBytes() [2/2]

bool CalPlatform::readBytes | ( | std::istream & | input,
|  | void * | pBuffer,
|  | int | length )

static

Reads a number of bytes.

This function reads a given number of bytes from an input stream.

Parameters

  input | The stream to read the bytes from.
  pBuffer | A pointer to the buffer where the bytes are stored into.
  length | The number of bytes that should be read.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ readFloat() [1/2]

bool CalPlatform::readFloat | ( | char * | input,
|  | float & | value )

static

Reads a float.

This function reads a float from a memory buffer.

Parameters

  input | The buffer to read the float from.
  value | A reference to the float into which the data is read.

Returns
  One of the following values:
  - true if successful
  - false if the input buffer is NULL

## ◆ readFloat() [2/2]

bool CalPlatform::readFloat | ( | std::istream & | input,
|  | float & | value )

static

Reads a float.

This function reads a float from an input stream.

Parameters

  input | The input stream to read the float from.
  value | A reference to the float into which the data is read.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ readInteger() [1/2]

bool CalPlatform::readInteger | ( | char * | input,
|  | int & | value )

static

Reads an integer.

This function reads an integer from a memory buffer.

Parameters

  input | The buffer to read the integer from.
  value | A reference to the integer into which the data is read.

Returns
  One of the following values:
  - true if successful
  - false if the input buffer is NULL

## ◆ readInteger() [2/2]

bool CalPlatform::readInteger | ( | std::istream & | input,
|  | int & | value )

static

Reads an integer.

This function reads an integer from an input stream.

Parameters

  input | The input stream to read the integer from.
  value | A reference to the integer into which the data is read.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ readString() [1/2]

bool CalPlatform::readString | ( | char * | input,
|  | std::string & | strValue )

static

Reads a string.

This function reads a string from a memory buffer.

Parameters

  input | The buffer to read the string from.
  value | A reference to the string into which the data is read.

Returns
  One of the following values:
  - true if successful
  - false if the input buffer is NULL

## ◆ readString() [2/2]

bool CalPlatform::readString | ( | std::istream & | input,
|  | std::string & | strValue )

static

Reads a string.

This function reads a string from an input stream.

Parameters

  input | The input stream to read the string from.
  value | A reference to the string into which the data is read.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ writeBytes()

bool CalPlatform::writeBytes | ( | std::ostream & | output,
|  | const void * | pBuffer,
|  | int | length )

static

Writes a number of bytes.

This function writes a given number of bytes to an output stream.

Parameters

  output | The output stream to write the bytes to.
  pBuffer | A pointer to the byte buffer that should be written.
  length | The number of bytes that should be written.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ writeFloat()

bool CalPlatform::writeFloat | ( | std::ostream & | output,
|  | float | value )

static

Writes a float.

This function writes a float to an output stream.

Parameters

  output | The output stream to write the float to.
  value | The float that should be written..

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ writeInteger()

bool CalPlatform::writeInteger | ( | std::ostream & | output,
|  | int | value )

static

Writes an integer.

This function writes an integer to an output stream.

Parameters

  file | The output stream to write the integer to.
  value | The integer that should be written.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ writeString()

bool CalPlatform::writeString | ( | std::ostream & | output,
|  | const std::string & | strValue )

static

Writes a string.

This function writes a string to an output stream.

Parameters

  file | The output stream to write the string to.
  value | A reference to the string that should be written.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

The documentation for this class was generated from the following files:

- platform.h
- platform.cpp

Generated by The Cal3D Team with Doxygen 1.15.0